<?php
namespace FiloBlu\Flow\Model\Filters;


class SetDefaultLocale extends AbstractFilter {

    public function filter($value,$args){
        if(trim($value) == '') return '';
        $default_locale = $args['default'];
        $sku_field = (int)$args['sku'];
        $sku = $this->_row[$sku_field];
        
        $helper_product = \Magento\Framework\App\ObjectManager::getInstance()->get('\FiloBlu\Flow\Helper\Data');
        $stores = implode(';', $helper_product->getStoresCodeByLocale($default_locale));
        
        return $value.'|||'.$stores.'|||'.$sku;
    }

}

